Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis
Class MockRandomLookaheadTokenFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.LookaheadTokenFilter<LookaheadTokenFilter.Position>
                      org.apache.lucene.analysis.MockRandomLookaheadTokenFilter

All Implemented Interfaces:
  Closeable

    public final class MockRandomLookaheadTokenFilter

extends LookaheadTokenFilter<LookaheadTokenFilter.Position>

Uses `LookaheadTokenFilter` to randomly peek at future tokens.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.analysis.LookaheadTokenFilter
`LookaheadTokenFilter.Position`

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`AttributeSource.AttributeFactory, AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.LookaheadTokenFilter
`end, inputPos, offsetAtt, outputPos, posIncAtt, positions, posLenAtt`

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`MockRandomLookaheadTokenFilter(Random random, TokenStream in)`

Method Summary
`protected void` | `afterPosition()` This is called when all input tokens leaving a given position have been returned.
`boolean` | `incrementToken()` Consumers (i.e., `IndexWriter`) use this method to advance the stream to the next token.
`LookaheadTokenFilter.Position` | `newPosition()`
`void` | `reset()` Reset the filter as well as the input TokenStream.

Methods inherited from class org.apache.lucene.analysis.LookaheadTokenFilter
`insertToken, nextToken, peekToken`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MockRandomLookaheadTokenFilter

    public MockRandomLookaheadTokenFilter(Random random,
                                          TokenStream in)

Method Detail

### newPosition

    public LookaheadTokenFilter.Position newPosition()

  Specified by:
    `newPosition` in class `LookaheadTokenFilter<LookaheadTokenFilter.Position>`

### afterPosition

    protected void afterPosition()
                          throws IOException

  Description copied from class: `LookaheadTokenFilter`
  This is called when all input tokens leaving a given position have been returned. Override this and call createToken and then set whichever token's attributes you want, if you want to inject a token starting from this position.

  Overrides:
    `afterPosition` in class `LookaheadTokenFilter<LookaheadTokenFilter.Position>`
  Throws:
    `IOException`

### incrementToken

    public boolean incrementToken()
                           throws IOException

  Description copied from class: `TokenStream`
  Consumers (i.e., `IndexWriter`) use this method to advance the stream to the next token. Implementing classes must implement this method and update the appropriate `AttributeImpl`s with the attributes of the next token.

  The producer must make no assumptions about the attributes after the method has been returned: the caller may arbitrarily change it. If the producer needs to preserve the state for subsequent calls, it can use `AttributeSource.captureState()` to create a copy of the current attribute state.

  This method is called for every token of a document, so an efficient implementation is crucial for good performance. To avoid calls to `AttributeSource.addAttribute(Class)` and `AttributeSource.getAttribute(Class)`, references to all `AttributeImpl`s that this stream uses should be retrieved during instantiation.

  To ensure that filters and consumers know which attributes are available, the attributes must be added during instantiation. Filters and consumers are not required to check for availability of attributes in `TokenStream.incrementToken()`.

  Specified by:
    `incrementToken` in class `TokenStream`
  Returns:
    false for end of stream; true otherwise
  Throws:
    `IOException`

### reset

    public void reset()
               throws IOException

  Description copied from class: `TokenFilter`
  Reset the filter as well as the input TokenStream.

  Overrides:
    `reset` in class `LookaheadTokenFilter<LookaheadTokenFilter.Position>`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD